//=============================
// BP4BotFix313
// Superclass for fixed Bonus Pack 4 models (WarBoss & Xan) for bot use.
// Just BP4PlayerFix313 with different headers to extend a bot.
// Psychic_313, 28 December 2000
//=============================

class BP4BotFix313 extends SkeletalBot abstract;

var string FakeSkinName; // what UT wants our skin to be set to :-)
var string Dflt[4];
var string DfltFace[4];
var string DfltNull;
var string DfltFaceNull;
var string DfltPkg;
var string LegalPrefix;

static function GetMultiSkin(Actor SkinActor, out string SkinName, out string FaceName)
{
	local string ShortSkinName, FullSkinName, ShortFaceName, FullFaceName;

	if ( BP4PlayerFix313(SkinActor)!=None ) {
		FullSkinName = BP4PlayerFix313(SkinActor).FakeSkinName;
	} else if ( BP4BotFix313(SkinActor)!=None ) {
		FullSkinName = BP4BotFix313(SkinActor).FakeSkinName;
	} else {
		FullSkinName = String(SkinActor.Skin);
	}
	ShortSkinName = SkinActor.GetItemName(FullSkinName);

	SkinName = Left(FullSkinName, Len(FullSkinName) - Len(ShortSkinName)) $ Left(ShortSkinName, 4);
	FaceName = ""; // no face is available on these models
}

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
	local string SkinItem, SkinPackage, FaceItem, FacePack, MeshName;
	local bool bAllowed, bFake;
	local texture Face;
	local texture Body;

	SkinItem = SkinActor.GetItemName(SkinName);
	SkinPackage = Left(SkinName, Len(SkinName) - Len(SkinItem)-1); //excludes the dot

	bAllowed = ( Left(SkinName,Len(default.LegalPrefix)) ~= default.LegalPrefix );

	if(!bAllowed && (SkinActor.Level.NetMode != NM_Standalone)) {
		log(SkinActor$" requested illegal skin "$SkinName$" from "$SkinPackage$" for mesh "$MeshName$", replacing with default");
		SkinName = default.FakeSkinName; // replace illegal skins with the default
		FaceName = "";
		bFake = true;
	} else
		bFake = ( SkinName ~= default.FakeSkinName );

	if( BP4PlayerFix313(SkinActor)!=None ) {
		BP4PlayerFix313(SkinActor).FakeSkinName = SkinName;
	} else if( BP4BotFix313(SkinActor)!=None ) {
		BP4BotFix313(SkinActor).FakeSkinName = SkinName;
	} 

	if ( TeamNum < 4 ) {
		if(!bFake) {
			Body = texture(DynamicLoadObject(SkinPackage$"."$SkinItem$"1T_"$TeamNum,class'Texture',true));
			Face =  texture(DynamicLoadObject(SkinPackage$"."$SkinItem$"5T_"$TeamNum,class'Texture',true));
		}
		if ( bFake || (Body == None) ) {
			Body = texture(DynamicLoadObject(default.DfltPkg$default.Dflt[TeamNum],class'Texture'));
			Face = texture(DynamicLoadObject(default.DfltPkg$default.DfltFace[TeamNum],class'Texture'));
		} else if ( Face == None ) {
			Face = texture(DynamicLoadObject(SkinPackage$SkinItem$"5",class'Texture'));
		}
	} else {
		if (!bFake) {
			Body = texture(DynamicLoadObject(SkinPackage$"."$SkinItem$"1",class'Texture',true));
			Face = texture(DynamicLoadObject(SkinPackage$"."$SkinItem$"5",class'Texture',true));
		}
		if ( bFake || (Body == None) ) {
			Body = texture(DynamicLoadObject(default.DfltPkg$default.DfltNull,class'Texture'));
			Face = texture(DynamicLoadObject(default.DfltPkg$default.DfltFaceNull,class'Texture'));
		}
	}

	SkinActor.Skin = Body;
	SkinActor.MultiSkins[0] = Body; // make UT believe we have multiskins
	SkinActor.MultiSkins[1] = Body; // ditto
	if( (Pawn(SkinActor) != None) )	
		Pawn(SkinActor).PlayerReplicationInfo.TalkTexture = Face;
}

defaultproperties
{
     DfltPkg="SkeletalChars."
     CarcassType=Class'Botpack.TBossCarcass'
     HitSound3=Sound'Botpack.Boss.BInjur3'
     HitSound4=Sound'Botpack.Boss.BInjur4'
     Deaths(0)=Sound'Botpack.Boss.BDeath1'
     Deaths(1)=Sound'Botpack.Boss.BDeath1'
     Deaths(2)=Sound'Botpack.Boss.BDeath3'
     Deaths(3)=Sound'Botpack.Boss.BDeath4'
     Deaths(4)=Sound'Botpack.Boss.BDeath3'
     Deaths(5)=Sound'Botpack.Boss.BDeath4'
     LandGrunt=Sound'Botpack.Boss.Bland01'
     JumpSound=Sound'Botpack.Boss.BJump1'
     StatusDoll=Texture'Botpack.Icons.BossDoll'
     StatusBelt=Texture'Botpack.Icons.BossBelt'
     VoicePackMetaClass="BotPack.VoiceBoss"
     SpecialMesh="Botpack.TrophyMale1"
     HitSound1=Sound'Botpack.Boss.BInjur1'
     HitSound2=Sound'Botpack.Boss.BInjur2'
     Die=Sound'Botpack.Boss.BDeath1'
     VoiceType="Botpack.VoiceBoss"
}
