//=============================================================================
// VolatileAmmo
//=============================================================================
class VolatileAmmo extends Mutator;

function bool AlwaysKeep(Actor Other)
{
	local bool bTemp;

	if ( Other.IsA('VBioAmmo') )
		return true;
	if ( Other.IsA('VBladeHopper') )
		return true;
	if ( Other.IsA('VBulletBox') )
		return true;
	if ( Other.IsA('VEClip') )
		return true;
	if ( Other.IsA('VFlakAmmo') )
		return true;
	if ( Other.IsA('VMiniAmmo') )
		return true;
	if ( Other.IsA('VPAmmo') )
		return true;
	if ( Other.IsA('VRifleShell') )
		return true;
	if ( Other.IsA('VRocketPack') )
		return true;
	if ( Other.IsA('VShockCore') )
		return true;
	if ( NextMutator != None )
		return ( NextMutator.AlwaysKeep(Other) );
	return false;
}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
    // Other.Owner == None as well for initial level ammo

    if ( Level.bStartup && Other.IsA('Ammo') ) 
    {
        if ( Other.IsA('BioAmmo') && !Other.IsA('VBioAmmo') )
        {
            ReplaceWith(Other, "DE.VBioAmmo");
            return false;
        } 
        if ( Other.IsA('BladeHopper') && !Other.IsA('VBladeHopper') )
        {
            ReplaceWith(Other, "DE.VBladeHopper");
            return false;
        } 
        if ( Other.IsA('BulletBox') && !Other.IsA('VBulletBox') )
        {
            ReplaceWith(Other, "DE.VBulletBox");
            return false;
        } 
        if ( Other.IsA('EClip') && !Other.IsA('VEClip') )
        {
            ReplaceWith(Other, "DE.VEClip");
            return false;
        } 
        if ( Other.IsA('FlakAmmo') && !Other.IsA('VFlakAmmo') )
        {
            ReplaceWith(Other, "DE.VFlakAmmo");
            return false;
        } 
        if ( Other.IsA('MiniAmmo') && !Other.IsA('VMiniAmmo') )
        {
            ReplaceWith(Other, "DE.VMiniAmmo");
            return false;
        } 
        if ( Other.IsA('PAmmo') && !Other.IsA('VPAmmo') )
        {
            ReplaceWith(Other, "DE.VPAmmo");
            return false;
        } 
        if ( Other.IsA('RifleShell') && !Other.IsA('VRifleShell') )
        {
            ReplaceWith(Other, "DE.VRifleShell");
            return false;
        } 
        if ( Other.IsA('RocketPack') && !Other.IsA('VRocketPack') )
        {
            ReplaceWith(Other, "DE.VRocketPack");
            return false;
        } 
        if ( Other.IsA('ShockCore') && !Other.IsA('VShockCore') )
        {
            ReplaceWith(Other, "DE.VShockCore");
            return false;
        } 
    }

    bSuperRelevant = 0;
    return true;
}

defaultproperties
{
}
