//=============================================================================
// VolatileWeapon. - Your active weapon discharges when you are killed.
// Steve Sinclair, Digital Extremes, Jan 4, 2000
//=============================================================================
class VolatileWeapon expands Mutator;

var int mMaxDischarges;

function ScoreKill(Pawn Killer, Pawn Other)
{
	local Weapon 	w;
	local int		ammo_count;
	local int		num_shots;
	local int 		i;
	local Vector	vec;
	local Rotator	rot;
	local float		rand;

	rand = FRand(); // get a random number 0.0 - 1.0
	if (Other.Weapon != None) // if victim has a weapon
	{
		// we will be 'activating' the weapon through a base class reference
		// this is good because we don't require any specific knowledge of the actual object
		w = Other.Weapon;
		if ( w.AmmoType != None ) // has ammo?
		{
			ammo_count = w.AmmoType.AmmoAmount;
			if (ammo_count > mMaxDischarges) // cap the number of discharges
				ammo_count = 15;

			num_shots = ammo_count * ( rand + 0.3);

			for (i=0; i<num_shots; i++)
			{
				if ( w.bInstantHit )
				{
					// instant hit weapons use 'TraceFire' ... 2.0 is amount of accuracy 'error'
					w.TraceFire(2.0);
				}
				else
				{
					// fire projectile in random direction
					rot = RotRand();
					Spawn(w.ProjectileClass,Killer,, Other.Location, rot );
				}
			}
			Other.Weapon = None; // remove the weapon
		}
	}
	// call the next mutator
	if ( NextMutator != None )
		NextMutator.ScoreKill(Killer, Other);
}

defaultproperties
{
     mMaxDischarges=15
}
